package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.dto.EREDTO;
import com.supervision.pdfqaserver.dto.TruncateDTO;
import java.util.List;

/**
 * 知识图谱服务接口
 */
public interface KnowledgeGraphService {


    /**
     * 生成知识图谱
     * @param documentId 文档ID
     */
    void generateGraph(String documentId);

    void generateGraph(List<EREDTO> eredtoList);

    List<EREDTO> truncateERE(List<TruncateDTO> truncateDTOS);


    /**
     * 重置图数据
     * @param pdfId pdfId
     */
    void resetGraphData(String pdfId);

    /**
     * 提交生成图任务
     * @param documentId
     */
    void submitGenerateTask(String documentId);

    void queryGraph(String databaseId, String query);


    void saveERE(EREDTO eredto, String truncationId);

    List<EREDTO> listPdfEREDTO(String pdfId);
}
